import { HttpClient } from "@angular/common/http";
import { Observable } from "rxjs";
import { StiModelService } from "./model.service";
import { StiLocalizationService } from "./sti-localization.service";
import { StiHelperService } from "./sti-helper.service";
import * as i0 from "@angular/core";
export declare class StiHttpClientService {
    private httpClient;
    private model;
    private helper;
    private loc;
    constructor(httpClient: HttpClient, model: StiModelService, helper: StiHelperService, loc: StiLocalizationService);
    post(url: string, data: any, responseType?: string, options?: any): Observable<any>;
    loadLocalization(cultureName: any): void;
    postWebView(data: any, options?: any): Observable<any>;
    postHttp(url: string, data: any, responseType?: string, options?: any): Observable<any>;
    private getData;
    private getFormData;
    postForm(url: string, data: any, doc: any, postOnlyData?: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiHttpClientService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<StiHttpClientService>;
}
